> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Quote To Sales Order

> Convert an accepted quote to a sales order.

The sales order receives real SKU line items when they are supplied by the
caller. If none are supplied, the converter attempts to pull SKU/MOQ rows
from the quote's source RFQ.



## OpenAPI

````yaml /api/openapi-cutmake.json post /quotes/{quote_id}/convert-to-sales-order
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /quotes/{quote_id}/convert-to-sales-order:
    post:
      tags:
        - Quotes
      summary: Convert Quote To Sales Order
      description: >-
        Convert an accepted quote to a sales order.


        The sales order receives real SKU line items when they are supplied by
        the

        caller. If none are supplied, the converter attempts to pull SKU/MOQ
        rows

        from the quote's source RFQ.
      operationId: >-
        convert_quote_to_sales_order_quotes__quote_id__convert_to_sales_order_post
      parameters:
        - name: quote_id
          in: path
          required: true
          schema:
            type: string
            title: Quote Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConvertQuoteToSOInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ConvertQuoteToSOInput:
      properties:
        clientId:
          type: string
          title: Clientid
          description: Client ID for the sales order
        styleId:
          type: string
          title: Styleid
          description: Style ID for the sales order
        etd:
          type: string
          format: date-time
          title: Etd
          description: Estimated Time of Delivery
        shippingTerm:
          type: string
          title: Shippingterm
          default: FOB
        deadline:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deadline
        shipmentPlan:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentplan
        shipmentSchedule:
          anyOf:
            - items:
                $ref: '#/components/schemas/ConvertQuoteShipmentScheduleInput'
              type: array
            - type: 'null'
          title: Shipmentschedule
        paymentTerm:
          type: string
          title: Paymentterm
          default: Net 30
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        lineItems:
          items:
            $ref: '#/components/schemas/ConvertQuoteLineItemInput'
          type: array
          title: Lineitems
          description: Sales order SKU lines to create from the quotation
      type: object
      required:
        - clientId
        - styleId
        - etd
      title: ConvertQuoteToSOInput
      description: Input for converting a quote to sales order.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConvertQuoteShipmentScheduleInput:
      properties:
        shipmentNumber:
          type: integer
          minimum: 1
          title: Shipmentnumber
        etd:
          type: string
          format: date-time
          title: Etd
        quantity:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Quantity
      type: object
      required:
        - shipmentNumber
        - etd
      title: ConvertQuoteShipmentScheduleInput
      description: Planned shipment row supplied during quote conversion.
    ConvertQuoteLineItemInput:
      properties:
        styleSkuId:
          type: string
          title: Styleskuid
        orderQuantity:
          type: integer
          title: Orderquantity
          default: 0
        clientTolerance:
          type: number
          title: Clienttolerance
          default: 0
        requestedDeliveryDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Requesteddeliverydate
        requestedBulkReadyDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Requestedbulkreadydate
        status:
          type: string
          title: Status
          default: Bulk
      type: object
      required:
        - styleSkuId
      title: ConvertQuoteLineItemInput
      description: Sales order line item supplied during quote conversion.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````